function [X,Y]=ortog(X1,Y1)

disp('This is a subroutine of the main routine fv_algorithm_A.m');
disp('This routine make orthonormazation of the vectors X1 nad Y1');

disp('Programmers:')
disp('Ana Nata (Polytechnic Institute of Tomar, Portugal)')
disp('e-mail: anata@ipt.pt')
disp('J.P. da Providncia (University of Beira Interior, Covilh, Portugal)') 
disp('e-mail: joaodaprovidencia@daad-alumni.de')
disp('Based on a joint work with Natlia Bebiano and J. da Providncia')
disp('University of Coimbra, Portugal')
disp(' ');
disp('December 2013')
disp(' ');

%%
%Gram-Schmidt's orthogonalization process
X2=X1;
Y2=Y1-(X1'*Y1)*X1/(X1'*X1);

%Normalization of the vectors X2 and Y2
X=X2*(1/sqrt(X2'*X2));
Y=Y2*(1/sqrt(Y2'*Y2));

